diff --git a/compiler/basicTypes/OccName.lhs b/compiler/basicTypes/OccName.lhs
index 9ec57d4..447b5ae 100644
--- a/compiler/basicTypes/OccName.lhs
+++ b/compiler/basicTypes/OccName.lhs
@@ -873,66 +867,66 @@ isLexSym cs = isLexConSym cs || isLexVarSym cs
 
 -------------
 
-isLexConId cs				-- Prefix type or data constructors
-  | nullFS cs	       = False		-- 	e.g. "Foo", "[]", "(,)" 
+isLexConId cs                           -- Prefix type or data constructors
+  | nullFS cs          = False          --      e.g. "Foo", "[]", "(,)" 
   | cs == (fsLit "[]") = True
-  | otherwise	       = startsConId (headFS cs)
+  | otherwise          = startsConId (headFS cs)
 
-isLexVarId cs				-- Ordinary prefix identifiers
-  | nullFS cs	      = False		-- 	e.g. "x", "_x"
+isLexVarId cs                           -- Ordinary prefix identifiers
+  | nullFS cs         = False           --      e.g. "x", "_x"
   | otherwise         = startsVarId (headFS cs)
 
-isLexConSym cs				-- Infix type or data constructors
-  | nullFS cs	       = False		--	e.g. ":-:", ":", "->"
+isLexConSym cs                          -- Infix type or data constructors
+  | nullFS cs          = False          --      e.g. ":-:", ":", "->"
   | cs == (fsLit "->") = True
-  | otherwise	       = startsConSym (headFS cs)
+  | otherwise          = startsConSym (headFS cs)
 
-isLexVarSym cs				-- Infix identifiers
-  | nullFS cs	      = False		-- 	e.g. "+"
+isLexVarSym cs                          -- Infix identifiers
+  | nullFS cs         = False           --      e.g. "+"
   | otherwise         = startsVarSym (headFS cs)
 
 -------------
 startsVarSym, startsVarId, startsConSym, startsConId :: Char -> Bool
 startsVarSym c = isSymbolASCII c || (ord c > 0x7f && isSymbol c) -- Infix Ids
-startsConSym c = c == ':'				-- Infix data constructors
-startsVarId c  = isLower c || c == '_'	-- Ordinary Ids
-startsConId c  = isUpper c || c == '('	-- Ordinary type constructors and data constructors
+startsConSym c = c == ':'                               -- Infix data constructors
+startsVarId c  = isLower c || c == '_'  -- Ordinary Ids
+startsConId c  = isUpper c || c == '('  -- Ordinary type constructors and data constructors
 
 isSymbolASCII :: Char -> Bool
 isSymbolASCII c = c `elem` "!#$%&*+./<=>?@\\^|~-"
 \end{code}
 
 %************************************************************************
-%*									*
-		Binary instance
+%*                                                                      *
+                Binary instance
     Here rather than BinIface because OccName is abstract
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 instance Binary NameSpace where
     put_ bh VarName = do
-	    putByte bh 0
+            putByte bh 0
     put_ bh DataName = do
-	    putByte bh 1
+            putByte bh 1
     put_ bh TvName = do
-	    putByte bh 2
+            putByte bh 2
     put_ bh TcClsName = do
-	    putByte bh 3
+            putByte bh 3
     get bh = do
-	    h <- getByte bh
-	    case h of
-	      0 -> do return VarName
-	      1 -> do return DataName
-	      2 -> do return TvName
-	      _ -> do return TcClsName
+            h <- getByte bh
+            case h of
+              0 -> do return VarName
+              1 -> do return DataName
+              2 -> do return TvName
+              _ -> do return TcClsName
 
 instance Binary OccName where
     put_ bh (OccName aa ab) = do
-	    put_ bh aa
-	    put_ bh ab
+            put_ bh aa
+            put_ bh ab
     get bh = do
-	  aa <- get bh
-	  ab <- get bh
-	  return (OccName aa ab)
+          aa <- get bh
+          ab <- get bh
+          return (OccName aa ab)
 \end{code}
diff --git a/compiler/basicTypes/Var.lhs b/compiler/basicTypes/Var.lhs
index e3dd2df..af62914 100644
--- a/compiler/basicTypes/Var.lhs
+++ b/compiler/basicTypes/Var.lhs
@@ -5,12 +5,6 @@
 \section{@Vars@: Variables}
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 -- |
 -- #name_types#
@@ -42,32 +36,32 @@ module Var (
         Var, CoVar, Id, DictId, DFunId, EvVar, EqVar, EvId, IpId,
         TyVar, TypeVar, KindVar, TKVar,
 
-	-- ** Taking 'Var's apart
-	varName, varUnique, varType, 
+        -- ** Taking 'Var's apart
+        varName, varUnique, varType, 
 
-	-- ** Modifying 'Var's
-	setVarName, setVarUnique, setVarType,
+        -- ** Modifying 'Var's
+        setVarName, setVarUnique, setVarType,
 
-	-- ** Constructing, taking apart, modifying 'Id's
-	mkGlobalVar, mkLocalVar, mkExportedLocalVar, mkCoVar,
-	idInfo, idDetails,
-	lazySetIdInfo, setIdDetails, globaliseId,
-	setIdExported, setIdNotExported,
+        -- ** Constructing, taking apart, modifying 'Id's
+        mkGlobalVar, mkLocalVar, mkExportedLocalVar, mkCoVar,
+        idInfo, idDetails,
+        lazySetIdInfo, setIdDetails, globaliseId,
+        setIdExported, setIdNotExported,
 
         -- ** Predicates
         isId, isTKVar, isTyVar, isTcTyVar,
         isLocalVar, isLocalId,
-	isGlobalId, isExportedId,
-	mustHaveLocalBinding,
+        isGlobalId, isExportedId,
+        mustHaveLocalBinding,
 
-	-- ** Constructing 'TyVar's
-	mkTyVar, mkTcTyVar, mkKindVar,
+        -- ** Constructing 'TyVar's
+        mkTyVar, mkTcTyVar, mkKindVar,
 
-	-- ** Taking 'TyVar's apart
+        -- ** Taking 'TyVar's apart
         tyVarName, tyVarKind, tcTyVarDetails, setTcTyVarDetails,
 
-	-- ** Modifying 'TyVar's
-	setTyVarName, setTyVarUnique, setTyVarKind, updateTyVarKind,
+        -- ** Modifying 'TyVar's
+        setTyVarName, setTyVarUnique, setTyVarKind, updateTyVarKind,
         updateTyVarKindM
 
     ) where
@@ -75,9 +69,9 @@ module Var (
 #include "HsVersions.h"
 #include "Typeable.h"
 
-import {-# SOURCE #-}	TypeRep( Type, Kind, SuperKind )
-import {-# SOURCE #-}	TcType( TcTyVarDetails, pprTcTyVarDetails )
-import {-# SOURCE #-}	IdInfo( IdDetails, IdInfo, coVarDetails, vanillaIdInfo, pprIdDetails )
+import {-# SOURCE #-}   TypeRep( Type, Kind, SuperKind )
+import {-# SOURCE #-}   TcType( TcTyVarDetails, pprTcTyVarDetails )
+import {-# SOURCE #-}   IdInfo( IdDetails, IdInfo, coVarDetails, vanillaIdInfo, pprIdDetails )
 
 import Name hiding (varName)
 import Unique
@@ -91,9 +85,9 @@ import Data.Data
 
 
 %************************************************************************
-%*									*
-                     Synonyms									
-%*									*
+%*                                                                      *
+                     Synonyms                                                                   
+%*                                                                      *
 %************************************************************************
 -- These synonyms are here and not in Id because otherwise we need a very
 -- large number of SOURCE imports of Id.hs :-(
@@ -106,17 +100,17 @@ type TyVar   = Var     -- Type *or* kind variable (historical)
 type TKVar   = Var     -- Type *or* kind variable (historical)
 type TypeVar = Var     -- Definitely a type variable
 type KindVar = Var     -- Definitely a kind variable
-     	       	       -- See Note [Kind and type variables]
+                       -- See Note [Kind and type variables]
 
 -- See Note [Evidence: EvIds and CoVars]
 type EvId   = Id        -- Term-level evidence: DictId, IpId, or EqVar
-type EvVar  = EvId	-- ...historical name for EvId
-type DFunId = Id	-- A dictionary function
-type DictId = EvId	-- A dictionary variable
+type EvVar  = EvId      -- ...historical name for EvId
+type DFunId = Id        -- A dictionary function
+type DictId = EvId      -- A dictionary variable
 type IpId   = EvId      -- A term-level implicit parameter
 type EqVar  = EvId      -- Boxed equality evidence
 
-type CoVar = Id		-- See Note [Evidence: EvIds and CoVars]
+type CoVar = Id         -- See Note [Evidence: EvIds and CoVars]
 \end{code}
 
 Note [Evidence: EvIds and CoVars]
@@ -144,9 +138,9 @@ go over the whole compiler code to use:
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{The main data type declarations}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 
@@ -161,37 +155,37 @@ in its @VarDetails@.
 data Var
   = TyVar {  -- Type and kind variables
              -- see Note [Kind and type variables]
-	varName    :: !Name,
-	realUnique :: FastInt,	     -- Key for fast comparison
-				     -- Identical to the Unique in the name,
-				     -- cached here for speed
-	varType    :: Kind           -- ^ The type or kind of the 'Var' in question
+        varName    :: !Name,
+        realUnique :: FastInt,       -- Key for fast comparison
+                                     -- Identical to the Unique in the name,
+                                     -- cached here for speed
+        varType    :: Kind           -- ^ The type or kind of the 'Var' in question
  }
 
-  | TcTyVar { 				-- Used only during type inference
-					-- Used for kind variables during 
-					-- inference, as well
-	varName        :: !Name,
-	realUnique     :: FastInt,
-	varType        :: Kind,
-	tc_tv_details  :: TcTyVarDetails }
+  | TcTyVar {                           -- Used only during type inference
+                                        -- Used for kind variables during 
+                                        -- inference, as well
+        varName        :: !Name,
+        realUnique     :: FastInt,
+        varType        :: Kind,
+        tc_tv_details  :: TcTyVarDetails }
 
   | Id {
-	varName    :: !Name,
-	realUnique :: FastInt,
-   	varType    :: Type,
-	idScope    :: IdScope,
-	id_details :: IdDetails,	-- Stable, doesn't change
-	id_info    :: IdInfo }		-- Unstable, updated by simplifier
+        varName    :: !Name,
+        realUnique :: FastInt,
+        varType    :: Type,
+        idScope    :: IdScope,
+        id_details :: IdDetails,        -- Stable, doesn't change
+        id_info    :: IdInfo }          -- Unstable, updated by simplifier
     deriving Typeable
 
-data IdScope	-- See Note [GlobalId/LocalId]
+data IdScope    -- See Note [GlobalId/LocalId]
   = GlobalId 
   | LocalId ExportFlag
 
 data ExportFlag 
-  = NotExported	-- ^ Not exported: may be discarded as dead code.
-  | Exported	-- ^ Exported: kept alive
+  = NotExported -- ^ Not exported: may be discarded as dead code.
+  | Exported    -- ^ Exported: kept alive
 \end{code}
 
 Note [GlobalId/LocalId]
@@ -202,7 +196,7 @@ A GlobalId is
   * has a Unique that is globally unique across the whole
     GHC invocation (a single invocation may compile multiple modules)
   * never treated as a candidate by the free-variable finder;
-	it's a constant!
+        it's a constant!
 
 A LocalId is 
   * bound within an expression (lambda, case, local let(rec))
@@ -240,9 +234,9 @@ instance Eq Var where
 
 instance Ord Var where
     a <= b = realUnique a <=# realUnique b
-    a <	 b = realUnique a <#  realUnique b
+    a <  b = realUnique a <#  realUnique b
     a >= b = realUnique a >=# realUnique b
-    a >	 b = realUnique a >#  realUnique b
+    a >  b = realUnique a >#  realUnique b
     a `compare` b = varUnique a `compare` varUnique b
 
 instance Data Var where
@@ -260,12 +254,12 @@ varUnique var = mkUniqueGrimily (iBox (realUnique var))
 setVarUnique :: Var -> Unique -> Var
 setVarUnique var uniq 
   = var { realUnique = getKeyFastInt uniq, 
-	  varName = setNameUnique (varName var) uniq }
+          varName = setNameUnique (varName var) uniq }
 
 setVarName :: Var -> Name -> Var
 setVarName var new_name
   = var { realUnique = getKeyFastInt (getUnique new_name), 
-   	  varName = new_name }
+          varName = new_name }
 
 setVarType :: Id -> Type -> Id
 setVarType id ty = id { varType = ty }
@@ -273,9 +267,9 @@ setVarType id ty = id { varType = ty }
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Type and kind variables}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -306,18 +300,18 @@ updateTyVarKindM update tv
 \begin{code}
 mkTyVar :: Name -> Kind -> TyVar
 mkTyVar name kind = TyVar { varName    = name
-			  , realUnique = getKeyFastInt (nameUnique name)
-			  , varType  = kind
-			}
+                          , realUnique = getKeyFastInt (nameUnique name)
+                          , varType  = kind
+                        }
 
 mkTcTyVar :: Name -> Kind -> TcTyVarDetails -> TyVar
 mkTcTyVar name kind details
   = -- NB: 'kind' may be a coercion kind; cf, 'TcMType.newMetaCoVar'
-    TcTyVar {	varName    = name,
-		realUnique = getKeyFastInt (nameUnique name),
-		varType  = kind,
-		tc_tv_details = details
-	}
+    TcTyVar {   varName    = name,
+                realUnique = getKeyFastInt (nameUnique name),
+                varType  = kind,
+                tc_tv_details = details
+        }
 
 tcTyVarDetails :: TyVar -> TcTyVarDetails
 tcTyVarDetails (TcTyVar { tc_tv_details = details }) = details
@@ -337,19 +331,19 @@ mkKindVar name kind = TyVar
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Ids}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 idInfo :: Id -> IdInfo
 idInfo (Id { id_info = info }) = info
-idInfo other 	       	       = pprPanic "idInfo" (ppr other)
+idInfo other                   = pprPanic "idInfo" (ppr other)
 
 idDetails :: Id -> IdDetails
 idDetails (Id { id_details = details }) = details
-idDetails other 	       	        = pprPanic "idDetails" (ppr other)
+idDetails other                         = pprPanic "idDetails" (ppr other)
 
 -- The next three have a 'Var' suffix even though they always build
 -- Ids, because Id.lhs uses 'mkGlobalId' etc with different types
@@ -373,11 +367,11 @@ mkExportedLocalVar details name ty info
 mk_id :: Name -> Type -> IdScope -> IdDetails -> IdInfo -> Id
 mk_id name ty scope details info
   = Id { varName    = name, 
-	 realUnique = getKeyFastInt (nameUnique name),
-	 varType    = ty,	
-	 idScope    = scope,
-	 id_details = details,
-	 id_info    = info }
+         realUnique = getKeyFastInt (nameUnique name),
+         varType    = ty,       
+         idScope    = scope,
+         id_details = details,
+         id_info    = info }
 
 -------------------
 lazySetIdInfo :: Id -> IdInfo -> Var
@@ -395,7 +389,7 @@ setIdExported :: Id -> Id
 -- and class operations, which are born as global 'Id's and automatically exported
 setIdExported id@(Id { idScope = LocalId {} }) = id { idScope = LocalId Exported }
 setIdExported id@(Id { idScope = GlobalId })   = id
-setIdExported tv	  	    	       = pprPanic "setIdExported" (ppr tv)
+setIdExported tv                               = pprPanic "setIdExported" (ppr tv)
 
 setIdNotExported :: Id -> Id
 -- ^ We can only do this to LocalIds
@@ -404,9 +398,9 @@ setIdNotExported id = ASSERT( isLocalId id )
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Predicates over variables}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -445,7 +439,7 @@ isGlobalId _                           = False
 -- is not quite right: there are some global 'Id's that must have
 -- bindings, such as record selectors.  But that doesn't matter,
 -- because it's only used for assertions
-mustHaveLocalBinding	    :: Var -> Bool
+mustHaveLocalBinding        :: Var -> Bool
 mustHaveLocalBinding var = isLocalVar var
 
 -- | 'isExportedIdVar' means \"don't throw this away\"
